Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update sick days record

Updates an existing sick days record.

What can be updated:

  • Start and end dates
  • Comment/notes
  • Attached medical certificate file IDs

To update medical certificates:

  1. Upload new files via POST /api/public/workspace/upload
  2. Get file IDs from responses
  3. Include all file IDs (old and new) in attachedFilesIds array

Note: This endpoint is only available for employee accounts. The system validates that there are no overlapping events for the specified period.

PUT/account/employee/sick-days/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
attachedFilesIdsstring[]required

Array of attached file IDs

commentstring

Comment about the sickness

dateFromstringrequired

Sickness start date

dateTostringrequired

Sickness end date

Responses
200
successbooleanrequired

Operation success flag

400

Validation errors

errorsobject
Show properties
attachedFilesIdsstring[]
dateFromstring[]
dateTostring[]
globalErrorsstring[]
messagestring
statusCodenumber
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT "https://leadtime.app/api/public/account/employee/sick-days/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "attachedFilesIds": [
    "file-id-1",
    "file-id-2"
  ],
  "comment": "Flu symptoms",
  "dateFrom": "2024-06-01T00:00:00.000Z",
  "dateTo": "2024-06-05T00:00:00.000Z"
}'
Response
{
  "success": true
}